package com.ematou.wxservice.api;

/**
 * @author lhm
 * @version 1.0
 * 2021-04-30 11:54
 */
public enum WeChatApi {

    /**
     * 微信基础服务获取AccessToken
     */
    GET_TOKEN("https://wxbase.ds-bay.com/wxbase/token", "GET"),

    /**
     * 微信基础服务获取AccessToken
     */
    GET_TOKEN_NEW("https://wxbase.ds-bay.com/wxbase/token/%s", "GET"),


    /**
     * 微信基础服务获取ticket
     */
    GET_TICKET("https://api.weixin.qq.com/cgi-bin/ticket/getticket?access_token=%s&type=jsapi", "GET"),

    /**
     * 微信基础服务生成AccessToken
     */
    GENERAL_TOKEN("https://wxbase.ds-bay.com/wxbase/generate/token", "GET"),
    /**
     * 微信基础服务生成AccessToken
     */
    GENERAL_TOKEN_NEW("https://wxbase.ds-bay.com/wxbase/generate/token/%s", "GET"),
    /**
     * 获取用户信息，只能获取到openId，如需要使用unionId，需要将公众号绑定到微信开放平台帐号
     */
    GET_USER_INFO("https://api.weixin.qq.com/cgi-bin/user/info?access_token=%s&openid=%s&lang=zh_CN", "GET"),
    /**
     * 获取微信OAuth2的AccessToken
     */
    WECHAT_OAUTH_TOKEN("https://api.weixin.qq.com/sns/oauth2/access_token?appid=%s&secret=%s&code=%s&grant_type=authorization_code", "GET"),
    /**
     * 创建菜单
     * https://developers.weixin.qq.com/doc/offiaccount/Custom_Menus/Creating_Custom-Defined_Menu.html
     */
    CREATE_MENU("https://api.weixin.qq.com/cgi-bin/menu/create?access_token=%s", "POST"),
    /**
     * 获取模板消息ID，请求体参考：https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Template_Message_Interface.html
     */
    GET_TEMPLATE_MSGID("https://api.weixin.qq.com/cgi-bin/template/api_add_template?access_token=%s", "POST"),
    /**
     * 发送模板消息，请求体参考：https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Template_Message_Interface.html
     * 发送成功和失败都有事件的推送
     */
    SEND_TEMPLATE_MSG("https://api.weixin.qq.com/cgi-bin/message/template/send?access_token=%s", "POST"),

    /**
     * 上传素材
     */
    MEDIA_UPLOAD("https://api.weixin.qq.com/cgi-bin/material/add_material?access_token=%s&type=image", "POST"),
    /**
     * 查看素材
     */
    MEDIA_GET("https://api.weixin.qq.com/cgi-bin/material/get_material?access_token=%s", "POST");



    private String url;
    private String method;

    WeChatApi(String url, String method) {
        this.url = url;
        this.method = method;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }
}
